# Uses of Interface
org.eclipse.birt.report.model.api.validators.IValidationListener

Packages that use IValidationListener
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of IValidationListener in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api with parameters of type IValidationListener
Modifier and Type
Method
Description
`final void`
ModuleHandleImpl.`addValidationListener(IValidationListener listener)`
Adds the validation listener, which implements `IValidationListener`.
`final boolean`
ModuleHandleImpl.`removeValidationListener(IValidationListener listener)`
Removes a given validation listener.